version: '3'


services:
  ftpd_server:
    image: laxaurus/ftpd:1.0 
    container_name: ${CONTAINER_NAME}
    ports:
      - "7021:21"
#      - "30000-30009:30000-30009"
    volumes: 
      - "${DATA_ROOT}/data:${FTP_USER_HOME}"
      - "${DATA_ROOT}/passwd:/etc/pure-ftpd/passwd"
    environment:
      PUBLICHOST: ${PUBLICHOST}
      FTP_USER_NAME: ${FTP_USER_NAME}
      FTP_USER_PASS: ${FTP_USER_PASS}
      FTP_USER_HOME: ${FTP_USER_HOME}
      ADDED_FLAGS: "--tls=0 -K --umask 000:000"
    hostname: ${PUBLICHOST}
    restart: "no"
